Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.edit.spi
Interface ReferenceService

All Superinterfaces:
  ViewModelService

All Known Implementing Classes:
  DefaultReferenceService, ECPReferenceServiceImpl

    public interface ReferenceService

extends ViewModelService

Since:
  1.2
Author:
  Eugen Neufeld

Method Summary
`void` | `addExistingModelElements(org.eclipse.emf.ecore.EObject eObject, org.eclipse.emf.ecore.EReference eReference)` Adds existing model elements to the `EReference`.
`void` | `addNewModelElements(org.eclipse.emf.ecore.EObject eObject, org.eclipse.emf.ecore.EReference eReference)` Adds new model elements to the `EReference`.
`void` | `openInNewContext(org.eclipse.emf.ecore.EObject eObject)` Opens an `EObject` in a new context.

Methods inherited from interface org.eclipse.emf.ecp.view.spi.context.ViewModelService
`dispose, getPriority, instantiate`

Method Detail

### addNewModelElements

    void addNewModelElements(org.eclipse.emf.ecore.EObject eObject,
                             org.eclipse.emf.ecore.EReference eReference)

  Adds new model elements to the `EReference`. The implementation is responsible for providing a selection meachsims, e.g. a dialog.

  Parameters:
    `eObject` - the `EObject` to add
    `eReference` - the `EReference` to add the `EObject` to
  Since:
    1.5

### addExistingModelElements

    void addExistingModelElements(org.eclipse.emf.ecore.EObject eObject,
                                  org.eclipse.emf.ecore.EReference eReference)

  Adds existing model elements to the `EReference`. The implementation is responsible for providing a selection meachsims, e.g. a dialog.

  Parameters:
    `eObject` - the `EObject` to add
    `eReference` - the `EReference` to add the `EObject` to
  Since:
    1.5

### openInNewContext

    void openInNewContext(org.eclipse.emf.ecore.EObject eObject)

  Opens an `EObject` in a new context.

  Parameters:
    `eObject` - the `EObject` to open in a new context

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.